*Jillienne Haglund
*15 September
*International Institutional Design and Human Rights: The Case of the Inter-American Human Rights System
*Replication file

clear

set more off

set seed 32605

use "C:\Users\Jill\Dropbox\IACmHR_ITTPaper\ReplicationData\CMPSReplicationData.dta", clear



***********************************************************
***********Manuscript**************************************
***********************************************************
*Scarring Torture Results
nbreg numscarring art5achr_1 iacthr_art5_1 v2juhcind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numstealth popmillionslog RstrctAccess speech repressionlatent_1 if ccode != 52, robust
coefplot, level(90) drop (_cons) xlabel(-1(.5)1)
nbreg, irr

*Clean Torture Results
nbreg numstealth art5achr_1 iacthr_art5_1 v2juhcind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numscarring popmillionslog RstrctAccess speech repressionlatent_1 if ccode != 52, robust
coefplot, level(90) drop (_cons) xlabel(-2(.5)1)
nbreg, irr

*Formal Complaint Results
nbreg formalcomplaint art5achr_1 iacthr_art5_1 v2juhcind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numstealth numscarring popmillionslog RstrctAccess speech repressionlatent_1 if ccode != 52, robust level(90)
coefplot, level(90) drop(_cons) xlabel(-1(.5)1)
nbreg, irr

*************************************************************
************Supplementary Appendix***************************
*************************************************************

*1.3 - Aggregate Torture Model Results
ologit tort art5achr_1 iacthr_art5_1 v2juncind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog popmillionslog RstrctAccess speech repressionT_1 repression_1 nyear if ccode != 52, robust


*1.4 - Random Effects Negative Binomial Results
**Scarring
xtnbreg numscarring art5achr_1 iacthr_art5_1 v2juhcind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numstealth popmillionslog RstrctAccess speech repressionlatent_1 if ccode != 52, re level(90)


**Clean
xtnbreg numstealth art5achr_1 iacthr_art5_1 v2juhcind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numscarring popmillionslog RstrctAccess speech repressionlatent_1 if ccode != 52, re level(90)

**Formal Complaints
xtnbreg formalcomplaint art5achr_1 iacthr_art5_1 v2juhcind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numscarring popmillionslog RstrctAccess speech repressionlatent_1 if ccode != 52, re level(90)


*1.4 - Country Fixed Effects Negative Binomial Results
*Generate dummy variables for countries
gen argentina = 0
replace argentina = 1 if country == "Argentina"
gen barbados = 0
replace barbados = 1 if country == "Barbados"
gen bolivia = 0
replace bolivia = 1 if country == "Bolivia"
gen brazil = 0
replace brazil = 1 if country == "Brazil"
gen chile = 0
replace chile = 1 if country == "Chile"
gen colombia = 0
replace colombia = 1 if country == "Colombia"
gen costarica = 0
replace costarica = 1 if country == "Costa Rica"
gen domrep = 0
replace domrep = 1 if country == "Dominican Republic"
gen ecuador = 0
replace ecuador = 1 if country == "Ecuador"
gen elsalvador = 0
replace elsalvador = 1 if country == "El Salvador"
gen guatemala = 0
replace guatemala = 1 if country == "Guatemala"
gen haiti = 0
replace haiti = 1 if country == "Haiti"
gen honduras = 0
replace honduras = 1 if country == "Honduras"
gen mexico = 0
replace mexico = 1 if country == "Mexico"
gen nicaragua = 0
replace nicaragua = 1 if country == "Nicaragua"
gen panama = 0
replace panama = 1 if country == "Panama"
gen paraguay = 0
replace paraguay = 1 if country == "Paraguay"
gen peru = 0
replace peru = 1 if country == "Peru"
gen suriname = 0
replace suriname = 1 if country == "Suriname"
gen trinidad = 0
replace trinidad = 1 if country == "Trinidad and Tobago"
gen uruguay = 0
replace uruguay = 1 if country == "Uruguay"
gen venezuela = 0
replace venezuela = 1 if country == "Venezuela"

*Peru as reference category
**Scarring
nbreg numscarring art5achr_1 iacthr_art5_1 v2juhcind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numstealth popmillionslog RstrctAccess speech repressionlatent_1 argentina barbados bolivia brazil chile colombia domrep ecuador elsalvador guatemala haiti honduras mexico nicaragua panama paraguay suriname uruguay venezuela if ccode != 52, robust

**Clean
nbreg numstealth art5achr_1 iacthr_art5_1 v2juhcind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numscarring popmillionslog RstrctAccess speech repressionlatent_1 argentina bolivia brazil chile colombia costarica domrep ecuador elsalvador guatemala haiti honduras mexico nicaragua panama paraguay suriname uruguay venezuela if ccode != 52, robust

**Formal Complaints
nbreg formalcomplaint art5achr_1 iacthr_art5_1 v2juncind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numstealth numscarring popmillionslog RstrctAccess repressionlatent_1 speech argentina bolivia brazil chile colombia costarica domrep ecuador elsalvador guatemala haiti honduras mexico nicaragua panama paraguay suriname uruguay venezuela if ccode != 52, robust


*1.4 - Year Fixed Effects
*generate time dummy variables
gen year1994 = 0
replace year1994 = 1 if year == 1994
gen year1995 = 0
replace year1995 = 1 if year == 1995
gen year1996 = 0
replace year1996 = 1 if year == 1996
gen year1997 = 0
replace year1997 = 1 if year == 1997
gen year1998 = 0
replace year1998 = 1 if year == 1998
gen year1999 = 0
replace year1999 = 1 if year == 1999
gen year2000 = 0
replace year2000 = 1 if year == 2000
gen year2001 = 0
replace year2001 = 1 if year == 2001
gen year2002 = 0
replace year2002 = 1 if year == 2002
gen year2003 = 0
replace year2003 = 1 if year == 2003
gen year2004 = 0
replace year2004 = 1 if year == 2004
gen year2005 = 0
replace year2005 = 1 if year == 2005
gen year2006 = 0
replace year2006 = 1 if year == 2006

*1995 reference category

**Scarring
nbreg numscarring art5achr_1 iacthr_art5_1 v2juhcind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numstealth popmillionslog RstrctAccess speech repressionlatent_1 year1996 year1997 year1998 year1999 year2000 year2001 year2002 year2003 year2004 year2005 if ccode != 52, robust level(90)


**Clean
nbreg numstealth art5achr_1 iacthr_art5_1 v2juhcind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numscarring popmillionslog RstrctAccess speech repressionlatent_1 year1996 year1997 year1998 year1999 year2000 year2001 year2002 year2003 year2004 year2005 if ccode != 52, robust


**Formal Complaints
nbreg numstealth art5achr_1 iacthr_art5_1 v2juhcind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numscarring popmillionslog RstrctAccess speech repressionlatent_1 year1996 year1997 year1998 year1999 year2000 year2001 year2002 year2003 year2004 year2005 if ccode != 52, robust


*1.5 - Standard Errors Clustered on Country
**Scarring
nbreg numscarring art5achr_1 iacthr_art5_1 v2juhcind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numstealth popmillionslog RstrctAccess speech repressionlatent_1 if ccode != 52, cluster(id) level(90)

**Clean
nbreg numscarring art5achr_1 iacthr_art5_1 v2juhcind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numstealth popmillionslog RstrctAccess speech repressionlatent_1 if ccode != 52, cluster(id) level(90)


**Formal Complaints
nbreg numscarring art5achr_1 iacthr_art5_1 v2juhcind nhriyearoccupied latentembed HROsecretariatlocation cwar gdpcaplog numunstated numstealth popmillionslog RstrctAccess speech repressionlatent_1 if ccode != 52, cluster(id) level(90)


*1.6 - Sample of All Commission Members
use "C:\Users\Jill\Dropbox\IACmHR_ITTPaper\ReplicationData\CMPSReplicationDataAllCommission.dta", clear

**Scarring
nbreg numscarring art5achr_1 iacthr_art5_1 v2juhcind hasnhri latentembed HROsecretariatlocation cwar gdpcaplog numunstated numstealth popmillionslog RstrctAccess speech repressionlatent_1 if ccode != 52, robust

**Clean
nbreg numstealth art5achr_1 iacthr_art5_1 v2juhcind hasnhri latentembed HROsecretariatlocation cwar gdpcaplog numunstated numscarring popmillionslog RstrctAccess speech repressionlatent_1 if ccode != 52, robust

**Formal Complaints
nbreg formalcomplaint art5achr_1 iacthr_art5_1 v2juhcind hasnhri latentembed HROsecretariatlocation cwar gdpcaplog numunstated numstealth numscarring popmillionslog RstrctAccess speech repressionlatent_1 if ccode != 52, robust level(90)


*1.7 - Selection

*Figure 1
*Commission Decisions by Repression
twoway (scatter repressionlatent art5achr_1) || (lfit repressionlatent art5achr_1), legend(off)

twoway (scatter numscarring art5achr_1) || (lfit numscarring art5achr_1), legend(off)

twoway (scatter numstealth art5achr_1) || (lfit numstealth art5achr_1), legend(off)

twoway (scatter numunstated art5achr_1) || (lfit numunstated art5achr_1), legend(off)

*Figure 2
**Court Judgments*Repression
twoway (scatter repressionlatent iacthr_art5_1) || (lfit repressionlatent iacthr_art5_1), legend(off)

twoway (scatter numscarring iacthr_art5_1) || (lfit numscarring iacthr_art5_1), legend(off)

twoway (scatter numstealth iacthr_art5_1) || (lfit numstealth iacthr_art5_1), legend(off)

twoway (scatter numunstated iacthr_art5_1) || (lfit numunstated iacthr_art5_1), legend(off)

*Figure 3
*Commission Decisions by Democracy
twoway (scatter new_empinx art5achr_1) || (lfit new_empinx art5achr_1), legend(off)

*Commission Decisions by Judicial Independence
twoway (scatter v2juhcind art5achr_1) || (lfit v2juhcind art5achr_1), legend(off)

*Commission Decisions by Civil Society Participation
twoway (scatter v2x_cspart art5achr_1) || (lfit v2x_cspart art5achr_1), legend(off)

*Commission Decisions by GDP
twoway (scatter gdpcaplog art5achr_1) || (lfit gdpcaplog art5achr_1), legend(off)

*Figure 4
**Court Judgments*Democracy
twoway (scatter new_empinx iacthr_art5_1) || (lfit new_empinx iacthr_art5_1), legend(off)

*Court Judgments by Judicial Independence
twoway (scatter v2juhcind iacthr_art5_1) || (lfit v2juhcind iacthr_art5_1), legend(off)

*Court Judgments by Civil Society Participation
twoway (scatter v2x_cspart iacthr_art5_1) || (lfit v2x_cspart iacthr_art5_1), legend(off)

*Court Judgments by GDP
twoway (scatter gdpcaplog iacthr_art5_1) || (lfit gdpcaplog iacthr_art5_1), legend(off)

***Matching - see "CMPS_MatchingData.dta" and "CMPS_Matching.R"
